package com.ho.business.service;

import com.alibaba.fastjson.JSONObject;
import com.ho.business.entity.PlanningIssueComm;
import com.ho.business.entity.TabSort;
import com.ho.business.vo.req.BusinessModelIssue;
import com.ho.business.vo.resp.tabSort.TabSortExcel;

import java.util.List;

public interface TabSortService {

    public List<TabSort> queryIssueDatas(TabSort tabSort);

    public List<PlanningIssueComm> queryPlanControlIssueData(String deviceType);

    public String getStationSn(Integer stationId);

    /**
     * 获取策略总览工作模式
     * @param issue
     * @return
     */
    JSONObject getTabModel(BusinessModelIssue issue);

    TabSort queryTabSortById(Integer id);

    List<TabSortExcel> queryExcelDatas(TabSort tabSort);

    String getColNameByCol(String col,String deviceType);

}
